# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.books
Class BooksLink.Type

    java.lang.Object
      com.google.gdata.data.books.BooksLink.Type

Enclosing class:
  BooksLink

    public static final class BooksLink.Type

extends java.lang.Object

MIME type of link target.

Field Summary
`static java.lang.String` `ANY_IMAGE` Link type used for any image.
`static java.lang.String` `EPUB` Link type used for epub downloads.
`static java.lang.String` `JPEG` Link type used for JPEG images.
`static java.lang.String` `PNG` Link type used for PNG images.

Constructor Summary
`BooksLink.Type()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY_IMAGE

    public static final java.lang.String ANY_IMAGE

  Link type used for any image.

  See Also:
    Constant Field Values

### EPUB

    public static final java.lang.String EPUB

  Link type used for epub downloads.

  See Also:
    Constant Field Values

### JPEG

    public static final java.lang.String JPEG

  Link type used for JPEG images.

  See Also:
    Constant Field Values

### PNG

    public static final java.lang.String PNG

  Link type used for PNG images.

  See Also:
    Constant Field Values

Constructor Detail

### BooksLink.Type

    public BooksLink.Type()